petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISComplementVec

Creates the complement of the index set relative to a layout defined by a Vec

### Synopsis

    #include "petscvec.h"
    PetscErrorCode ISComplementVec(IS S, Vec V, IS *T)

Collective on IS

### Input Parameter

| S | - a PETSc IS
| V | - the reference vector space

### Output Parameter

T -the complement of S

### See Also

ISCreateGeneral()

Level:advanced
Location:src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages